#!/bin/sh

PROPFILE=general.props
DASHH=
VERBOSE=
JAVA=java

while getopts ghp:v o
do  case "$o" in
    h)  DASHH="-h";;
    p)  PROPFILE="$OPTARG";;
    g)  JAVA="jdb";;
    v)  VERBOSE="-v";;
    [?])    echo "Usage: $0"
            echo "            [-h] Tells application to print help"
            echo "            [-p] <filename> Properties file to load"
            echo "            [-v] Sets output to verbose"
            exit 1;;
    esac
done
shift $(($OPTIND - 1))

$JAVA -classpath "$CLASSPATH" team5.player.PlayerApp $DASHH -p "$PROPFILE" $VERBOSE
