#!/bin/sh

PROPFILE=general.props
DASHH=
VERBOSE=

if [ "$JAVA" = "" ] ;then
    JAVA=/usr/local/j2sdk1.4.0/bin/java
fi

while getopts c:hp:v o
do  case "$o" in
    c)  CLASSPATH="$OPTARG";;
    h)  DASHH="-h";;
    p)  PROPFILE="$OPTARG";;
    v)  VERBOSE="-v";;
    [?])    echo "Usage: $0"
            echo "            [-h] Tells server to print help"
            echo "            [-p] <filename> Properties file to load"
            echo "            [-v] Sets output to verbose"
            exit 1;;
    esac
done
shift $(($OPTIND - 1))

$JAVA -classpath $CLASSPATH team5.casino.db.DBClear general.props

$JAVA -cp $CLASSPATH -D"repman.start.command=cd $PWD;./startServer.sh -v -p general.props -c $CLASSPATH" team5.repman.Repman -v -p general.props

