#!/bin/sh

PROJECTLIB=/afs/ece/usr/etwilson/lib
FORCE=
PROPFILE=general.props
DASHH=
VERBOSE=
SERVNUM=
if [ "$JAVA" = "" ] ;then
    JAVA=/usr/local/j2sdk1.4.0/bin/java
fi

while getopts c:fhn:p:v o
do  case "$o" in
    c)  CLASSPATH="$OPTARG";;
    f)  FORCE="-f";;
    h)  DASHH="-h";;
    n)  SERVNUM="-n $OPTARG";;
    p)  PROPFILE="$OPTARG";;
    v)  VERBOSE="-v";;
    [?])    echo "Usage: $0"
            echo "            [-c] Sets the CLASSPATH"
            echo "            [-f] Forces naming registration"
            echo "            [-h] Tells server to print help"
            echo "            [-n] <number> adds suffix to name in name service"
            echo "            [-p] <filename> Properties file to load"
            echo "            [-v] Sets output to verbose"
            exit 1;;
    esac
done
shift $(($OPTIND - 1))
if [ "$VERBOSE" = "-v" ]
    then
        echo ""
        echo "********************************************"
        echo "Running server on $HOSTNAME with PID: $$"
        echo "********************************************"
        echo ""
fi

echo CLASSPATH=$CLASSPATH

exec $JAVA -classpath "$CLASSPATH" team5.casino.Server $FORCE $DASHH $SERVNUM -p "$PROPFILE" $VERBOSE
